chiark / gitweb /
Update automatically managed build utilities.
[autoys] / Makefile.in
1 # Makefile.in generated by automake 1.11.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 ### -*-makefile-*-
19 ###
20 ### Top-level build script for `autoys'
21 ###
22 ### (c) 2016 Mark Wooding
23 ###
24
25 ###----- Licensing notice ---------------------------------------------------
26 ###
27 ### This file is part of the `autoys' audio tools collection.
28 ###
29 ### `autoys' is free software; you can redistribute it and/or modify
30 ### it under the terms of the GNU General Public License as published by
31 ### the Free Software Foundation; either version 2 of the License, or
32 ### (at your option) any later version.
33 ###
34 ### `autoys' is distributed in the hope that it will be useful,
35 ### but WITHOUT ANY WARRANTY; without even the implied warranty of
36 ### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
37 ### GNU General Public License for more details.
38 ###
39 ### You should have received a copy of the GNU General Public License
40 ### along with `autoys'; if not, write to the Free Software Foundation,
41 ### Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
42
43 ### -*-makefile-*-
44 ###
45 ### Common definitions
46 ###
47 ### (c) 2016 Mark Wooding
48 ###
49
50 ###----- Licensing notice ---------------------------------------------------
51 ###
52 ### This file is part of the `autoys' audio tools collection.
53 ###
54 ### `autoys' is free software; you can redistribute it and/or modify
55 ### it under the terms of the GNU General Public License as published by
56 ### the Free Software Foundation; either version 2 of the License, or
57 ### (at your option) any later version.
58 ###
59 ### `autoys' is distributed in the hope that it will be useful,
60 ### but WITHOUT ANY WARRANTY; without even the implied warranty of
61 ### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
62 ### GNU General Public License for more details.
63 ###
64 ### You should have received a copy of the GNU General Public License
65 ### along with `autoys'; if not, write to the Free Software Foundation,
66 ### Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
67
68 ###--------------------------------------------------------------------------
69 ### Initial values of common variables.
70
71
72 VPATH = @srcdir@
73 am__make_dryrun = \
74   { \
75     am__dry=no; \
76     case $$MAKEFLAGS in \
77       *\\[\ \   ]*) \
78         echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
79           | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
80       *) \
81         for am__flg in $$MAKEFLAGS; do \
82           case $$am__flg in \
83             *=*|--*) ;; \
84             *n*) am__dry=yes; break;; \
85           esac; \
86         done;; \
87     esac; \
88     test $$am__dry = yes; \
89   }
90 pkgdatadir = $(datadir)/@PACKAGE@
91 pkgincludedir = $(includedir)/@PACKAGE@
92 pkglibdir = $(libdir)/@PACKAGE@
93 pkglibexecdir = $(libexecdir)/@PACKAGE@
94 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
95 install_sh_DATA = $(install_sh) -c -m 644
96 install_sh_PROGRAM = $(install_sh) -c
97 install_sh_SCRIPT = $(install_sh) -c
98 INSTALL_HEADER = $(INSTALL_DATA)
99 transform = $(program_transform_name)
100 NORMAL_INSTALL = :
101 PRE_INSTALL = :
102 POST_INSTALL = :
103 NORMAL_UNINSTALL = :
104 PRE_UNINSTALL = :
105 POST_UNINSTALL = :
106 DIST_COMMON = $(am__configure_deps) $(dist_man_MANS) \
107         $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
108         $(top_srcdir)/configure $(top_srcdir)/vars.am COPYING \
109         config/install-sh config/missing
110 bin_PROGRAMS =
111 subdir = .
112 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
113 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
114 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
115         $(ACLOCAL_M4)
116 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
117  configure.lineno config.status.lineno
118 mkinstalldirs = $(install_sh) -d
119 CONFIG_CLEAN_FILES =
120 CONFIG_CLEAN_VPATH_FILES =
121 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)"
122 PROGRAMS = $(bin_PROGRAMS)
123 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
124 am__vpath_adj = case $$p in \
125     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
126     *) f=$$p;; \
127   esac;
128 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
129 am__install_max = 40
130 am__nobase_strip_setup = \
131   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
132 am__nobase_strip = \
133   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
134 am__nobase_list = $(am__nobase_strip_setup); \
135   for p in $$list; do echo "$$p $$p"; done | \
136   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
137   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
138     if (++n[$$2] == $(am__install_max)) \
139       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
140     END { for (dir in files) print dir, files[dir] }'
141 am__base_list = \
142   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
143   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
144 am__uninstall_files_from_dir = { \
145   test -z "$$files" \
146     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
147     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
148          $(am__cd) "$$dir" && rm -f $$files; }; \
149   }
150 SCRIPTS = $(bin_SCRIPTS)
151 AM_V_GEN = $(am__v_GEN_@AM_V@)
152 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
153 am__v_GEN_0 = @echo "  GEN   " $@;
154 AM_V_at = $(am__v_at_@AM_V@)
155 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
156 am__v_at_0 = @
157 SOURCES =
158 DIST_SOURCES =
159 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
160         html-recursive info-recursive install-data-recursive \
161         install-dvi-recursive install-exec-recursive \
162         install-html-recursive install-info-recursive \
163         install-pdf-recursive install-ps-recursive install-recursive \
164         installcheck-recursive installdirs-recursive pdf-recursive \
165         ps-recursive uninstall-recursive
166 am__can_run_installinfo = \
167   case $$AM_UPDATE_INFO_DIR in \
168     n|no|NO) false;; \
169     *) (install-info --version) >/dev/null 2>&1;; \
170   esac
171 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
172   distclean-recursive maintainer-clean-recursive
173 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
174         $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
175         distdir dist dist-all distcheck
176 ETAGS = etags
177 CTAGS = ctags
178 DIST_SUBDIRS = $(SUBDIRS)
179 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
180 distdir = $(PACKAGE)-$(VERSION)
181 top_distdir = $(distdir)
182 am__remove_distdir = \
183   if test -d "$(distdir)"; then \
184     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
185       && rm -rf "$(distdir)" \
186       || { sleep 5 && rm -rf "$(distdir)"; }; \
187   else :; fi
188 am__relativize = \
189   dir0=`pwd`; \
190   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
191   sed_rest='s,^[^/]*/*,,'; \
192   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
193   sed_butlast='s,/*[^/]*$$,,'; \
194   while test -n "$$dir1"; do \
195     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
196     if test "$$first" != "."; then \
197       if test "$$first" = ".."; then \
198         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
199         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
200       else \
201         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
202         if test "$$first2" = "$$first"; then \
203           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
204         else \
205           dir2="../$$dir2"; \
206         fi; \
207         dir0="$$dir0"/"$$first"; \
208       fi; \
209     fi; \
210     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
211   done; \
212   reldir="$$dir2"
213 DIST_ARCHIVES = $(distdir).tar.gz
214 GZIP_ENV = --best
215 distuninstallcheck_listfiles = find . -type f -print
216 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
217   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
218 distcleancheck_listfiles = find . -type f -print
219 ACLOCAL = @ACLOCAL@
220 AMTAR = @AMTAR@
221 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
222 AUTOCONF = @AUTOCONF@
223 AUTOHEADER = @AUTOHEADER@
224 AUTOMAKE = @AUTOMAKE@
225 AWK = @AWK@
226 BASH = @BASH@
227 CC = @CC@
228 CCDEPMODE = @CCDEPMODE@
229 CFLAGS = @CFLAGS@
230 CPPFLAGS = @CPPFLAGS@
231 CYGPATH_W = @CYGPATH_W@
232 DEFS = @DEFS@
233 DEPDIR = @DEPDIR@
234 ECHO_C = @ECHO_C@
235 ECHO_N = @ECHO_N@
236 ECHO_T = @ECHO_T@
237 EXEEXT = @EXEEXT@
238 INSTALL = @INSTALL@
239 INSTALL_DATA = @INSTALL_DATA@
240 INSTALL_PROGRAM = @INSTALL_PROGRAM@
241 INSTALL_SCRIPT = @INSTALL_SCRIPT@
242 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
243 LDFLAGS = @LDFLAGS@
244 LIBOBJS = @LIBOBJS@
245 LIBS = @LIBS@
246 LTLIBOBJS = @LTLIBOBJS@
247 MAKEINFO = @MAKEINFO@
248 MKDIR_P = @MKDIR_P@
249 OBJEXT = @OBJEXT@
250 PACKAGE = @PACKAGE@
251 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
252 PACKAGE_NAME = @PACKAGE_NAME@
253 PACKAGE_STRING = @PACKAGE_STRING@
254 PACKAGE_TARNAME = @PACKAGE_TARNAME@
255 PACKAGE_URL = @PACKAGE_URL@
256 PACKAGE_VERSION = @PACKAGE_VERSION@
257 PATH_SEPARATOR = @PATH_SEPARATOR@
258 PYTHON = @PYTHON@
259 PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
260 PYTHON_PLATFORM = @PYTHON_PLATFORM@
261 PYTHON_PREFIX = @PYTHON_PREFIX@
262 PYTHON_VERSION = @PYTHON_VERSION@
263 SET_MAKE = @SET_MAKE@
264 SHELL = @SHELL@
265 STRIP = @STRIP@
266 VERSION = @VERSION@
267 abs_builddir = @abs_builddir@
268 abs_srcdir = @abs_srcdir@
269 abs_top_builddir = @abs_top_builddir@
270 abs_top_srcdir = @abs_top_srcdir@
271 ac_ct_CC = @ac_ct_CC@
272 am__include = @am__include@
273 am__leading_dot = @am__leading_dot@
274 am__quote = @am__quote@
275 am__tar = @am__tar@
276 am__untar = @am__untar@
277 bindir = @bindir@
278 build_alias = @build_alias@
279 builddir = @builddir@
280 datadir = @datadir@
281 datarootdir = @datarootdir@
282 docdir = @docdir@
283 dvidir = @dvidir@
284 exec_prefix = @exec_prefix@
285 host_alias = @host_alias@
286 htmldir = @htmldir@
287 includedir = @includedir@
288 infodir = @infodir@
289 install_sh = @install_sh@
290 libdir = @libdir@
291 libexecdir = @libexecdir@
292 localedir = @localedir@
293 localstatedir = @localstatedir@
294 mandir = @mandir@
295 mkdir_p = @mkdir_p@
296 oldincludedir = @oldincludedir@
297 pdfdir = @pdfdir@
298 pkgpyexecdir = @pkgpyexecdir@
299 pkgpythondir = @pkgpythondir@
300 prefix = @prefix@
301 program_transform_name = @program_transform_name@
302 psdir = @psdir@
303 pyexecdir = @pyexecdir@
304 pythondir = @pythondir@
305 sbindir = @sbindir@
306 sharedstatedir = @sharedstatedir@
307 srcdir = @srcdir@
308 sysconfdir = @sysconfdir@
309 target_alias = @target_alias@
310 top_build_prefix = @top_build_prefix@
311 top_builddir = @top_builddir@
312 top_srcdir = @top_srcdir@
313
314 ###--------------------------------------------------------------------------
315 ### Debian.
316 EXTRA_DIST = config/auto-version config/confsubst debian/rules \
317         debian/control debian/changelog debian/copyright debian/compat \
318         debian/source/format debian/gremlin.install
319 CLEANFILES = 
320 DISTCLEANFILES = 
321 MAINTAINERCLEANFILES = 
322 bin_SCRIPTS = 
323 dist_man_MANS = 
324
325 ###--------------------------------------------------------------------------
326 ### Standard configuration substitutions.
327 confsubst = $(top_srcdir)/config/confsubst
328 SUBSTITUTIONS = \
329                 prefix=$(prefix) exec_prefix=$(exec_prefix) \
330                 libdir=$(libdir) includedir=$(includedir) \
331                 bindir=$(bindir) sbindir=$(sbindir) \
332                 PACKAGE=$(PACKAGE) VERSION=$(VERSION) \
333                 PYTHON=$(PYTHON) BASH=$(BASH)
334
335 V_SUBST = $(V_SUBST_$(V))
336 V_SUBST_ = $(V_SUBST_$(AM_DEFAULT_VERBOSITY))
337 V_SUBST_0 = @echo "  SUBST  $@";
338 SUBST = $(V_SUBST)$(confsubst)
339
340 ###--------------------------------------------------------------------------
341 ### Subdirectories.
342 SUBDIRS = gremlin
343 all: all-recursive
344
345 .SUFFIXES:
346 am--refresh: Makefile
347         @:
348 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/vars.am $(am__configure_deps)
349         @for dep in $?; do \
350           case '$(am__configure_deps)' in \
351             *$$dep*) \
352               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
353               $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
354                 && exit 0; \
355               exit 1;; \
356           esac; \
357         done; \
358         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
359         $(am__cd) $(top_srcdir) && \
360           $(AUTOMAKE) --foreign Makefile
361 .PRECIOUS: Makefile
362 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
363         @case '$?' in \
364           *config.status*) \
365             echo ' $(SHELL) ./config.status'; \
366             $(SHELL) ./config.status;; \
367           *) \
368             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
369             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
370         esac;
371 $(top_srcdir)/vars.am:
372
373 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
374         $(SHELL) ./config.status --recheck
375
376 $(top_srcdir)/configure:  $(am__configure_deps)
377         $(am__cd) $(srcdir) && $(AUTOCONF)
378 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
379         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
380 $(am__aclocal_m4_deps):
381 install-binPROGRAMS: $(bin_PROGRAMS)
382         @$(NORMAL_INSTALL)
383         @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
384         if test -n "$$list"; then \
385           echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
386           $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
387         fi; \
388         for p in $$list; do echo "$$p $$p"; done | \
389         sed 's/$(EXEEXT)$$//' | \
390         while read p p1; do if test -f $$p; \
391           then echo "$$p"; echo "$$p"; else :; fi; \
392         done | \
393         sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
394             -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
395         sed 'N;N;N;s,\n, ,g' | \
396         $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
397           { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
398             if ($$2 == $$4) files[d] = files[d] " " $$1; \
399             else { print "f", $$3 "/" $$4, $$1; } } \
400           END { for (d in files) print "f", d, files[d] }' | \
401         while read type dir files; do \
402             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
403             test -z "$$files" || { \
404               echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
405               $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
406             } \
407         ; done
408
409 uninstall-binPROGRAMS:
410         @$(NORMAL_UNINSTALL)
411         @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
412         files=`for p in $$list; do echo "$$p"; done | \
413           sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
414               -e 's/$$/$(EXEEXT)/' `; \
415         test -n "$$list" || exit 0; \
416         echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
417         cd "$(DESTDIR)$(bindir)" && rm -f $$files
418
419 clean-binPROGRAMS:
420         -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
421 install-binSCRIPTS: $(bin_SCRIPTS)
422         @$(NORMAL_INSTALL)
423         @list='$(bin_SCRIPTS)'; test -n "$(bindir)" || list=; \
424         if test -n "$$list"; then \
425           echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
426           $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
427         fi; \
428         for p in $$list; do \
429           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
430           if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
431         done | \
432         sed -e 'p;s,.*/,,;n' \
433             -e 'h;s|.*|.|' \
434             -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
435         $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
436           { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
437             if ($$2 == $$4) { files[d] = files[d] " " $$1; \
438               if (++n[d] == $(am__install_max)) { \
439                 print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
440             else { print "f", d "/" $$4, $$1 } } \
441           END { for (d in files) print "f", d, files[d] }' | \
442         while read type dir files; do \
443              if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
444              test -z "$$files" || { \
445                echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(bindir)$$dir'"; \
446                $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
447              } \
448         ; done
449
450 uninstall-binSCRIPTS:
451         @$(NORMAL_UNINSTALL)
452         @list='$(bin_SCRIPTS)'; test -n "$(bindir)" || exit 0; \
453         files=`for p in $$list; do echo "$$p"; done | \
454                sed -e 's,.*/,,;$(transform)'`; \
455         dir='$(DESTDIR)$(bindir)'; $(am__uninstall_files_from_dir)
456
457 # This directory's subdirectories are mostly independent; you can cd
458 # into them and run `make' without going through this Makefile.
459 # To change the values of `make' variables: instead of editing Makefiles,
460 # (1) if the variable is set in `config.status', edit `config.status'
461 #     (which will cause the Makefiles to be regenerated when you run `make');
462 # (2) otherwise, pass the desired values on the `make' command line.
463 $(RECURSIVE_TARGETS):
464         @fail= failcom='exit 1'; \
465         for f in x $$MAKEFLAGS; do \
466           case $$f in \
467             *=* | --[!k]*);; \
468             *k*) failcom='fail=yes';; \
469           esac; \
470         done; \
471         dot_seen=no; \
472         target=`echo $@ | sed s/-recursive//`; \
473         list='$(SUBDIRS)'; for subdir in $$list; do \
474           echo "Making $$target in $$subdir"; \
475           if test "$$subdir" = "."; then \
476             dot_seen=yes; \
477             local_target="$$target-am"; \
478           else \
479             local_target="$$target"; \
480           fi; \
481           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
482           || eval $$failcom; \
483         done; \
484         if test "$$dot_seen" = "no"; then \
485           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
486         fi; test -z "$$fail"
487
488 $(RECURSIVE_CLEAN_TARGETS):
489         @fail= failcom='exit 1'; \
490         for f in x $$MAKEFLAGS; do \
491           case $$f in \
492             *=* | --[!k]*);; \
493             *k*) failcom='fail=yes';; \
494           esac; \
495         done; \
496         dot_seen=no; \
497         case "$@" in \
498           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
499           *) list='$(SUBDIRS)' ;; \
500         esac; \
501         rev=''; for subdir in $$list; do \
502           if test "$$subdir" = "."; then :; else \
503             rev="$$subdir $$rev"; \
504           fi; \
505         done; \
506         rev="$$rev ."; \
507         target=`echo $@ | sed s/-recursive//`; \
508         for subdir in $$rev; do \
509           echo "Making $$target in $$subdir"; \
510           if test "$$subdir" = "."; then \
511             local_target="$$target-am"; \
512           else \
513             local_target="$$target"; \
514           fi; \
515           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
516           || eval $$failcom; \
517         done && test -z "$$fail"
518 tags-recursive:
519         list='$(SUBDIRS)'; for subdir in $$list; do \
520           test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
521         done
522 ctags-recursive:
523         list='$(SUBDIRS)'; for subdir in $$list; do \
524           test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
525         done
526
527 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
528         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
529         unique=`for i in $$list; do \
530             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
531           done | \
532           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
533               END { if (nonempty) { for (i in files) print i; }; }'`; \
534         mkid -fID $$unique
535 tags: TAGS
536
537 TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
538                 $(TAGS_FILES) $(LISP)
539         set x; \
540         here=`pwd`; \
541         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
542           include_option=--etags-include; \
543           empty_fix=.; \
544         else \
545           include_option=--include; \
546           empty_fix=; \
547         fi; \
548         list='$(SUBDIRS)'; for subdir in $$list; do \
549           if test "$$subdir" = .; then :; else \
550             test ! -f $$subdir/TAGS || \
551               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
552           fi; \
553         done; \
554         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
555         unique=`for i in $$list; do \
556             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
557           done | \
558           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
559               END { if (nonempty) { for (i in files) print i; }; }'`; \
560         shift; \
561         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
562           test -n "$$unique" || unique=$$empty_fix; \
563           if test $$# -gt 0; then \
564             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
565               "$$@" $$unique; \
566           else \
567             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
568               $$unique; \
569           fi; \
570         fi
571 ctags: CTAGS
572 CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
573                 $(TAGS_FILES) $(LISP)
574         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
575         unique=`for i in $$list; do \
576             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
577           done | \
578           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
579               END { if (nonempty) { for (i in files) print i; }; }'`; \
580         test -z "$(CTAGS_ARGS)$$unique" \
581           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
582              $$unique
583
584 GTAGS:
585         here=`$(am__cd) $(top_builddir) && pwd` \
586           && $(am__cd) $(top_srcdir) \
587           && gtags -i $(GTAGS_ARGS) "$$here"
588
589 distclean-tags:
590         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
591
592 distdir: $(DISTFILES)
593         $(am__remove_distdir)
594         test -d "$(distdir)" || mkdir "$(distdir)"
595         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
596         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
597         list='$(DISTFILES)'; \
598           dist_files=`for file in $$list; do echo $$file; done | \
599           sed -e "s|^$$srcdirstrip/||;t" \
600               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
601         case $$dist_files in \
602           */*) $(MKDIR_P) `echo "$$dist_files" | \
603                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
604                            sort -u` ;; \
605         esac; \
606         for file in $$dist_files; do \
607           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
608           if test -d $$d/$$file; then \
609             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
610             if test -d "$(distdir)/$$file"; then \
611               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
612             fi; \
613             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
614               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
615               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
616             fi; \
617             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
618           else \
619             test -f "$(distdir)/$$file" \
620             || cp -p $$d/$$file "$(distdir)/$$file" \
621             || exit 1; \
622           fi; \
623         done
624         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
625           if test "$$subdir" = .; then :; else \
626             $(am__make_dryrun) \
627               || test -d "$(distdir)/$$subdir" \
628               || $(MKDIR_P) "$(distdir)/$$subdir" \
629               || exit 1; \
630             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
631             $(am__relativize); \
632             new_distdir=$$reldir; \
633             dir1=$$subdir; dir2="$(top_distdir)"; \
634             $(am__relativize); \
635             new_top_distdir=$$reldir; \
636             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
637             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
638             ($(am__cd) $$subdir && \
639               $(MAKE) $(AM_MAKEFLAGS) \
640                 top_distdir="$$new_top_distdir" \
641                 distdir="$$new_distdir" \
642                 am__remove_distdir=: \
643                 am__skip_length_check=: \
644                 am__skip_mode_fix=: \
645                 distdir) \
646               || exit 1; \
647           fi; \
648         done
649         $(MAKE) $(AM_MAKEFLAGS) \
650           top_distdir="$(top_distdir)" distdir="$(distdir)" \
651           dist-hook
652         -test -n "$(am__skip_mode_fix)" \
653         || find "$(distdir)" -type d ! -perm -755 \
654                 -exec chmod u+rwx,go+rx {} \; -o \
655           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
656           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
657           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
658         || chmod -R a+r "$(distdir)"
659 dist-gzip: distdir
660         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
661         $(am__remove_distdir)
662
663 dist-bzip2: distdir
664         tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
665         $(am__remove_distdir)
666
667 dist-lzip: distdir
668         tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
669         $(am__remove_distdir)
670
671 dist-lzma: distdir
672         tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
673         $(am__remove_distdir)
674
675 dist-xz: distdir
676         tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
677         $(am__remove_distdir)
678
679 dist-tarZ: distdir
680         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
681         $(am__remove_distdir)
682
683 dist-shar: distdir
684         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
685         $(am__remove_distdir)
686
687 dist-zip: distdir
688         -rm -f $(distdir).zip
689         zip -rq $(distdir).zip $(distdir)
690         $(am__remove_distdir)
691
692 dist dist-all: distdir
693         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
694         $(am__remove_distdir)
695
696 # This target untars the dist file and tries a VPATH configuration.  Then
697 # it guarantees that the distribution is self-contained by making another
698 # tarfile.
699 distcheck: dist
700         case '$(DIST_ARCHIVES)' in \
701         *.tar.gz*) \
702           GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
703         *.tar.bz2*) \
704           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
705         *.tar.lzma*) \
706           lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
707         *.tar.lz*) \
708           lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
709         *.tar.xz*) \
710           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
711         *.tar.Z*) \
712           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
713         *.shar.gz*) \
714           GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
715         *.zip*) \
716           unzip $(distdir).zip ;;\
717         esac
718         chmod -R a-w $(distdir); chmod u+w $(distdir)
719         mkdir $(distdir)/_build
720         mkdir $(distdir)/_inst
721         chmod a-w $(distdir)
722         test -d $(distdir)/_build || exit 0; \
723         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
724           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
725           && am__cwd=`pwd` \
726           && $(am__cd) $(distdir)/_build \
727           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
728             $(AM_DISTCHECK_CONFIGURE_FLAGS) \
729             $(DISTCHECK_CONFIGURE_FLAGS) \
730           && $(MAKE) $(AM_MAKEFLAGS) \
731           && $(MAKE) $(AM_MAKEFLAGS) dvi \
732           && $(MAKE) $(AM_MAKEFLAGS) check \
733           && $(MAKE) $(AM_MAKEFLAGS) install \
734           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
735           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
736           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
737                 distuninstallcheck \
738           && chmod -R a-w "$$dc_install_base" \
739           && ({ \
740                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
741                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
742                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
743                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
744                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
745               } || { rm -rf "$$dc_destdir"; exit 1; }) \
746           && rm -rf "$$dc_destdir" \
747           && $(MAKE) $(AM_MAKEFLAGS) dist \
748           && rm -rf $(DIST_ARCHIVES) \
749           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
750           && cd "$$am__cwd" \
751           || exit 1
752         $(am__remove_distdir)
753         @(echo "$(distdir) archives ready for distribution: "; \
754           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
755           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
756 distuninstallcheck:
757         @test -n '$(distuninstallcheck_dir)' || { \
758           echo 'ERROR: trying to run $@ with an empty' \
759                '$$(distuninstallcheck_dir)' >&2; \
760           exit 1; \
761         }; \
762         $(am__cd) '$(distuninstallcheck_dir)' || { \
763           echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
764           exit 1; \
765         }; \
766         test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
767            || { echo "ERROR: files left after uninstall:" ; \
768                 if test -n "$(DESTDIR)"; then \
769                   echo "  (check DESTDIR support)"; \
770                 fi ; \
771                 $(distuninstallcheck_listfiles) ; \
772                 exit 1; } >&2
773 distcleancheck: distclean
774         @if test '$(srcdir)' = . ; then \
775           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
776           exit 1 ; \
777         fi
778         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
779           || { echo "ERROR: files left in build directory after distclean:" ; \
780                $(distcleancheck_listfiles) ; \
781                exit 1; } >&2
782 check-am: all-am
783 check: check-recursive
784 all-am: Makefile $(PROGRAMS) $(SCRIPTS)
785 installdirs: installdirs-recursive
786 installdirs-am:
787         for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)"; do \
788           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
789         done
790 install: install-recursive
791 install-exec: install-exec-recursive
792 install-data: install-data-recursive
793 uninstall: uninstall-recursive
794
795 install-am: all-am
796         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
797
798 installcheck: installcheck-recursive
799 install-strip:
800         if test -z '$(STRIP)'; then \
801           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
802             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
803               install; \
804         else \
805           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
806             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
807             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
808         fi
809 mostlyclean-generic:
810
811 clean-generic:
812         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
813
814 distclean-generic:
815         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
816         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
817         -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
818
819 maintainer-clean-generic:
820         @echo "This command is intended for maintainers to use"
821         @echo "it deletes files that may require special tools to rebuild."
822         -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
823 clean: clean-recursive
824
825 clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
826
827 distclean: distclean-recursive
828         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
829         -rm -f Makefile
830 distclean-am: clean-am distclean-generic distclean-tags
831
832 dvi: dvi-recursive
833
834 dvi-am:
835
836 html: html-recursive
837
838 html-am:
839
840 info: info-recursive
841
842 info-am:
843
844 install-data-am:
845
846 install-dvi: install-dvi-recursive
847
848 install-dvi-am:
849
850 install-exec-am: install-binPROGRAMS install-binSCRIPTS
851
852 install-html: install-html-recursive
853
854 install-html-am:
855
856 install-info: install-info-recursive
857
858 install-info-am:
859
860 install-man:
861
862 install-pdf: install-pdf-recursive
863
864 install-pdf-am:
865
866 install-ps: install-ps-recursive
867
868 install-ps-am:
869
870 installcheck-am:
871
872 maintainer-clean: maintainer-clean-recursive
873         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
874         -rm -rf $(top_srcdir)/autom4te.cache
875         -rm -f Makefile
876 maintainer-clean-am: distclean-am maintainer-clean-generic
877
878 mostlyclean: mostlyclean-recursive
879
880 mostlyclean-am: mostlyclean-generic
881
882 pdf: pdf-recursive
883
884 pdf-am:
885
886 ps: ps-recursive
887
888 ps-am:
889
890 uninstall-am: uninstall-binPROGRAMS uninstall-binSCRIPTS
891
892 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) ctags-recursive \
893         install-am install-strip tags-recursive
894
895 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
896         all all-am am--refresh check check-am clean clean-binPROGRAMS \
897         clean-generic ctags ctags-recursive dist dist-all dist-bzip2 \
898         dist-gzip dist-hook dist-lzip dist-lzma dist-shar dist-tarZ \
899         dist-xz dist-zip distcheck distclean distclean-generic \
900         distclean-tags distcleancheck distdir distuninstallcheck dvi \
901         dvi-am html html-am info info-am install install-am \
902         install-binPROGRAMS install-binSCRIPTS install-data \
903         install-data-am install-dvi install-dvi-am install-exec \
904         install-exec-am install-html install-html-am install-info \
905         install-info-am install-man install-pdf install-pdf-am \
906         install-ps install-ps-am install-strip installcheck \
907         installcheck-am installdirs installdirs-am maintainer-clean \
908         maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
909         pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
910         uninstall-binPROGRAMS uninstall-binSCRIPTS
911
912
913 ###----- That's all, folks --------------------------------------------------
914
915 ###--------------------------------------------------------------------------
916 ### Release tweaking.
917
918 dist-hook::
919         echo $(VERSION) >$(distdir)/RELEASE
920
921 ###----- That's all, folks --------------------------------------------------
922
923 # Tell versions [3.59,3.63) of GNU make to not export all variables.
924 # Otherwise a system limit (for SysV at least) may be exceeded.
925 .NOEXPORT: